KDEINIT5(8)

NAME
kdeinit5 - Starter van toepassingen gebouwd met ondersteuning van kdeinit en voor KIO slaves.

SAMENVATTING

kdeinit5 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programs] | [programma's]]

BESCHRIJVING

kdeinit5 start processen enigszins vergelijkbaar met het beroemde init dat wordt gebruikt bij het opstarten van UNIX. Het voert KDE programma's uit en kdeinit loadable modules (KLMs) worden efficiënter opgestart.

KDE-applicaties opstarten met kdeinit5 maakt het starten van een typische KDE-applicatie enkele malen sneller en vermindert het geheugengebruik aanzienlijk.

kdeinit5 is gelinkt tegen alle bibliotheken die een standaard KDE-applicatie nodig heeft. Met deze techniek wordt het starten van een toepassing veel sneller omdat nu alleen de applicatie zelf gelinkt behoeft te worden waar anders beide, de applicatie zowel als alle bibliotheken die het gebruikt worden, gelinkt moeten worden.

NADELEN

De procesnaam van applicaties die via kdeinit5 gestart worden is "kdeinit5". Dit probleem kan tot op zekere hoogte gecorrigeerd worden door de applicatienaam zoals deze getoond door ps te wijzigen. Echter, applicaties zoals killall zien alleen kdeinit5 als de procesnaam. De workaround hiervoor is het gebruik van kdekillall (uit de kdesdk/scripts) voor applicaties die via kdeinit5 gestart zijn.

OPTIES

--help
    Hulp over de opties tonen

--no-fork
    Doe geen fork, dwz. stop niet voordat alle uitgevoerde programma's eindigen

--no-kded
    kded niet starten

--suicide
    Sluit af als geen KDE-applicatie meer wordt uitgevoerd

+programma's
    voert de programma's uit die verzoeken behandelen

programma's
    voert de programma's zonder verzoeken te behandelen

GEBRUIK

Een standaard manier om dit programma uit te voeren is door eenvoudig het volgende commando kdeinit5 programma of kdeinit5 +programma te specificeren

BESTANDEN

/tmp/kde-$USER/kdeinit5_$INSTANCE
    ...

OMGEVINGSVARIABELEN

$HOME
    Specificeert de persoonlijke map van de huidige gebruiker

$KDE_HOME_READONLY
    Specificeert of de persoonlijke map van de huidige gebruiker alleen-lezen is

$KDE_IS_PRELINKED
    Indien ingesteld, vertelt kdeinit5 dat de KDE programma's voor-gelinkt zijn.

    (Voor-linken is een proces dat u toestaat om het proces van dynamisch linken te versnellen.)

$KDE_DISPLAY
    Indien ingesteld, vertelt kdeinit5 dat het op een KDE-bureaublad draait.

ZIE OOK

kded5, kdekillall

FOUTEN/BUGS

Gebruik De volger van bugs van KDE[1] om ze te rapporteren.

AUTEURS

Waldo Bastian <bastian@kde.org>
    Auteur.

Mario Weilguni <mweilguni@sime.com>
    Auteur.

Lubos Lunak <l.lunak@kde.org>
    Auteur.

OPMERKINGEN

1.  De volger van bugs van KDE
    http://bugskde.org